<script lang="ts" setup name="AppCatSelector">
import { getAppCatByList } from '@/api/apps/appCatApi'
const props = withDefaults(defineProps<{
  modelValue: number
}>(), {
  modelValue: 0,
})
const emit = defineEmits(['update:modelValue'])
interface AppCat {
  appCatId: number
  appCatTitle: string
}
const appCatId = computed({
  get: () => {
    return props.modelValue
  },
  set: (val) => {
    emit('update:modelValue', val)
  },
})
const state = reactive({
  loading: false,
  dataList: [] as AppCat[],
})

const getData = async () => {
  state.loading = true
  const { data } = await getAppCatByList({})
  state.loading = false
  state.dataList = data
}
onMounted(() => {
  getData ()
})
</script>

<template>
  <el-select v-model="appCatId" v-loading="state.loading" style="width: 100%" filterable placeholder="请选择应用分类" value-key="appCatId">
    <el-option key="0" label="请选择" :value="0" disabled />
    <el-option
      v-for="item in state.dataList"
      :key="item.appCatId"
      :label="item.appCatTitle"
      :value="item.appCatId"
    />
  </el-select>
</template>
